What web browsers does the Listbox site support?

We recommend using Firefox 3.6 for the most consistent behavior across computers. Use of the Listbox site also requires Javascript.

The Listbox website also supports:

  • Internet Explorer 8 and 9
  • Safari 5
  • Chrome 8 and 9

The Listbox Message Composer requires use of a supported browser. If you are experiencing problems with the composer, and are not using a supported browser, we recommend upgrading immediately.

This page was: Helpful | Not Helpful



Just complete the form below and we'll send an email to your friend with your message, plus all the information they'll need to check out our features and sign up for an account.